View Issue Details

IDProjectCategoryView StatusLast Update
0011099ScribusUsabilitypublic2016-12-29 07:25
Reportercezaryece Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version1.5.0svn 
Target VersionFixed in Version 
Summary0011099: in 1.5 and in 1.4 - selection of text got opacity from text frame value
DescriptionIn result if text frame has low opacity then selection of text is also hardly visible.
Tags#pending
Patch

Activities

ale

2012-10-02 05:58

manager   ~0029008

my question is: what does the user mostly want?

in my eyes, the "normal" use case is to change the opacity of the background (and eventually the border) but keep the opacity of the text at 100%.

personally, i think that this is the workflow that scribus should support by default. if the user wants a different behavior, he should create two items: a text frame and a shape behind it, where he can individually control the opacity.

when importing old documents, scribus will have to create the background shape to keep for compatibility reasons.

cezaryece

2012-10-03 05:16

developer   ~0029010

I agree, but report is about blue mark of selected text.
Text with low opacity is not a common use case, but sometimes can be used (for "watermarks" for example) and selecting it can be hard, as selection also has same low opacity.
In fact I was reporting that only to focusing on fact, that opacity of brush and pen is not saved and not restored by ScPainter. IMO should be.

ale

2012-10-03 06:32

manager   ~0029014

ah, ooops... i'll open another ticket, for my request...

Kunda

2016-12-13 18:50

manager   ~0042961

Hey @PeterBenedek I don't think I can reproduce the original issue.
Here is how I reproduced:
1) Create text box
2) add sample text
3) Highlight sample text
4) Text Palette > Colors & Effects > Black > Change Saturation to 10%
Result: Opacity should change
5) Highlight text
Result: I don't see that the selected/highlighted text color has changed when I've highlighted it.

PeterBenedek

2016-12-17 18:22

developer   ~0043091

Test: r21654

It seems, I can't reproduce this.

Kunda

2016-12-17 21:27

manager   ~0043093

@ale when you have a moment, please weigh in on this ticket. Thanks!

ale

2016-12-18 15:45

manager   ~0043097

the problem is still there.

cbradney

2016-12-18 16:03

administrator   ~0043098

Looks fine to me, see screenshot

ale

2016-12-19 10:24

manager  

opacity-selection.png (13,462 bytes)
opacity-selection.png (13,462 bytes)

ale

2016-12-19 10:26

manager   ~0043103

this is what i see on mac with 1.5.2.

not really usable.

it matches what i saw on linux, with a somehow current 1.5.3...

cbradney

2016-12-19 22:32

administrator   ~0043108

Why are you testing with 1.5.2? you need to test with the 1.5.3.svn snapshots.

Kunda

2016-12-20 00:07

manager   ~0043109

@ale please test with osx nightly:
https://sourceforge.net/projects/scribus/files/scribus-svn/1.5.3.svn/Scribus15xNightly-20161213-r21649.dmg/download

ale

2016-12-20 13:02

manager   ~0043110

with the trunk there is an "ugly" box around each letter (at least on mac, i guess also on linux iirc).

once that box is not there anymore, the highlighting would be very very light..

and i hope that the box won't stick...

Kunda

2016-12-26 23:11

manager   ~0043206

@ale screenshot of what you are reporting in 0011099:0043110 please?

ale

2016-12-28 08:47

manager  

ale

2016-12-28 08:47

manager   ~0043227

et voilĂ !

Kunda

2016-12-28 13:08

manager   ~0043236

@ale thanks. Can you please write a step-by-step way to reproduce. I can't seem to be able to so perhaps I missing something.

ale

2016-12-29 07:25

manager   ~0043249

@kunda, this is a ticket about opacity... just pull down the frame's opacity and you'll see it :-)

(and, no, color saturation has little or nothing to do with opacity. you have to go to the transparency tab!)

Issue History

Date Modified Username Field Change
2012-09-27 11:32 cezaryece New Issue
2012-10-02 05:58 ale Note Added: 0029008
2012-10-02 05:59 ale Summary [bug] in 1.5 and in 1.4 - selection of text got opacity from text frame value => in 1.5 and in 1.4 - selection of text got opacity from text frame value
2012-10-03 05:16 cezaryece Note Added: 0029010
2012-10-03 06:32 ale Note Added: 0029014
2016-12-13 18:50 Kunda Note Added: 0042961
2016-12-13 18:51 Kunda Tag Attached: #pending
2016-12-17 18:22 PeterBenedek Note Added: 0043091
2016-12-17 21:27 Kunda Note Added: 0043093
2016-12-17 21:30 Kunda Tag Attached: #tobeclosed
2016-12-18 15:45 ale Note Added: 0043097
2016-12-18 16:03 cbradney File Added: Screenshot 2016-12-18 17.02.28.png
2016-12-18 16:03 cbradney Note Added: 0043098
2016-12-19 10:24 ale File Added: opacity-selection.png
2016-12-19 10:26 ale Note Added: 0043103
2016-12-19 22:32 cbradney Note Added: 0043108
2016-12-20 00:07 Kunda Note Added: 0043109
2016-12-20 13:02 ale Note Added: 0043110
2016-12-26 23:11 Kunda Note Added: 0043206
2016-12-28 08:47 ale File Added: boxes-around-selection.png
2016-12-28 08:47 ale Note Added: 0043227
2016-12-28 13:07 Kunda Tag Detached: #tobeclosed
2016-12-28 13:07 Kunda Tag Detached: #pending
2016-12-28 13:08 Kunda Note Added: 0043236
2016-12-28 13:09 Kunda Tag Attached: #pending
2016-12-29 07:25 ale Note Added: 0043249